gnutls_ocsp_resp_get_responder2(3)

NAME
gnutls_ocsp_resp_get_responder2 - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_responder2(gnutls_ocsp_resp_t resp, gnutls_datum_t * dn, unsigned flags);

ARGUMENTS

gnutls_ocsp_resp_t resp
    should contain a gnutls_ocsp_resp_t type

gnutls_datum_t * dn
    newly allocated buffer with name

unsigned flags
    zero or GNUTLS_X509_DN_FLAG_COMPAT

DESCRIPTION
This function will extract the name of the Basic OCSP Response in the provided buffer. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC2253. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. If the responder ID is not a name but a hash, this function will return zero and the dn elements will be set to NULL. The caller needs to deallocate memory by calling gnutls_free() on
 dn ->data. When the flag GNUTLS_X509_DN_FLAG_COMPAT is specified, the output format will match the format output by previous to 3.5.6 versions of GnuTLS which was not not fully RFC4514-compliant.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. When no data exist it will return GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/